/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 */
// flowlint ambiguous-object-type:error
'use strict';

var _require = require('../'),
    Parser = _require.Parser,
    convertASTDocuments = _require.convertASTDocuments;

var _require2 = require('graphql'),
    parse = _require2.parse;

function parseGraphQLText(schema, text) {
  var ast = parse(text);
  var extendedSchema = schema.extend(ast);
  var definitions = convertASTDocuments(extendedSchema, [ast], Parser.transform.bind(Parser));
  return {
    definitions: definitions,
    schema: extendedSchema
  };
}

module.exports = parseGraphQLText;